/*
 * e_df_dt.h
 *
 *  Created on: 05-07-2016
 *      Author: Krzysztof Jakubczyk
 */

#ifndef E_DF_DT_H_
#define E_DF_DT_H_

#include "tdefs.h"
#include "e_f.h"

struct e_df_dt_logic
{
	u8 *ok_ptr;
	u8 ok_bit_no;
	float *df_ptr;
	float DT_;
	struct e_f_wyjscie *f;
};

struct e_df_dt_io
{
	u32 f_ptr_in;

	u32 df_float_out;
	u32 ok_out;
}__attribute__((__packed__));

struct e_df_dt_params
{
	double DT_;
}__attribute__((__packed__));

struct e_df_dt_args
{
	struct e_df_dt_io io;
	struct e_df_dt_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void e_df_dt_100hz(void *args, void *logic);
extern int e_df_dt_initlog(void *arguments, void *logic);

#endif /* E_DF_DT_H_ */
